<%@ page contentType="text/html;charset=UTF-8" %><meta http-equiv="Content-Type" content="text/html;charset=utf-8" /><meta name="author" content="http://www.jeeplus.org/"/>
<link rel="icon" href="${ctxp}/static/common/img/bitbug_favicon.ico" type="image/x-icon"/>
<meta name="renderer" content="webkit"><meta http-equiv="X-UA-Compatible" content="IE=9,IE=10" />
<meta http-equiv="Expires" content="0"><meta http-equiv="Cache-Control" content="no-cache"><meta http-equiv="Cache-Control" content="no-store">
<!-- 引入jquery插件 -->
<script src="${ctxStatic}/jquery/jquery-2.1.1.min.js" type="text/javascript"></script>
<script src="${ctxStatic}/jquery-form/jquery.form.js"></script>
<script src="${ctxStatic}/jquery/jquery-migrate-1.1.1.min.js" type="text/javascript"></script>
<script type="text/javascript" src="${ctxStatic}/TableDnD/jquery.tablednd.js"></script>


<!-- 引入依赖的第三方插件 -->
<script src="${ctxStatic}/slimscroll/jquery.slimscroll.min.js"></script>



<script src="${ctxStatic}/jquery-validation/1.14.0/jquery.validate.min.js" type="text/javascript"></script>
<script src="${ctxStatic}/jquery-validation/1.14.0/localization/messages_zh.min.js" type="text/javascript"></script>
<link href="${ctxStatic}/jquery-jbox/2.3/Skins/Bootstrap/jbox.min.css" rel="stylesheet" />
<script src="${ctxStatic}/jquery-jbox/2.3/jquery.jBox-2.3.min.js" type="text/javascript"></script>
<script src="${ctxStatic}/My97DatePicker/WdatePicker.js" type="text/javascript"></script>
<script src="${ctxStatic}/pace/pace.min.js"></script>
<script src="${ctxStatic}/metisMenu/jquery.metisMenu.js"></script>
<link href="${ctxStatic}/iCheck/custom.css" rel="stylesheet" />
<script src="${ctxStatic}/iCheck/icheck.min.js"></script>
<script src="${ctxStatic}/iCheck/icheck-init.js"></script>
<link href="${ctxStatic}/dataTables/dataTables.bootstrap.css" rel="stylesheet" />
<script src="${ctxStatic}/dataTables/jquery.dataTables.js"></script>
<script src="${ctxStatic}/dataTables/dataTables.bootstrap.js"></script>
<link href="${ctxStatic}/uploadify/fileinput.css" rel="stylesheet"/>
<script src="${ctxStatic}/uploadify/fileinput.js"></script>
<script src="${ctxStatic}/uploadify/fileinput_locale_zh.js"></script>




<!-- jeeplus -->
<link href="${ctxStatic}/common/jeeplus.css" type="text/css" rel="stylesheet" />
<script src="${ctxStatic}/common/jeeplus.js" type="text/javascript"></script>

<!-- jquery ui -->
<script src="${ctxStatic}/jquery-ui/jquery-ui.min.js"></script>

<!-- 引入bootstrap插件 -->
<!-- bootswatch主题效果不怎么好，停止切换，使用官网的默认版本，如果你想切换主题请访问http://bootswatch.com/下载最新版版主题，by刘高峰 -->
<!--  <link href="${ctxStatic}/bootstrap/3.3.4/css_${not empty cookie.theme.value ? cookie.theme.value : 'default'}/bootstrap.min.css" type="text/css" rel="stylesheet" />-->
<link href="${ctxStatic}/bootstrap/3.3.4/css_default/bootstrap.min.css" type="text/css" rel="stylesheet" />
<script src="${ctxStatic}/bootstrap/3.3.4/js/bootstrap.min.js"  type="text/javascript"></script>
<link href="${ctxStatic}/awesome/4.4/css/font-awesome.min.css" rel="stylesheet" />

<!-- 引入layer插件 -->
<link href="${ctxStatic}/layer-v2.3/layui/css/layui.css" type="text/css" rel="stylesheet"/>
<script src="${ctxStatic}/layer-v2.3/layer/layer.js"></script>
<script src="${ctxStatic}/layer-v2.3/layer/laydate/laydate.js"></script>

<!--引入webuploader-->
<link rel="stylesheet" type="text/css" href="${ctxStatic}/webuploader-0.1.5/webuploader.css">
<script type="text/javascript" src="${ctxStatic}/webuploader-0.1.5/webuploader.js"></script>


<!-- 引入自定义文件 -->
<script src="${ctxStatic}/common/mustache.min.js" type="text/javascript"></script>
<script src="${ctxStatic}/common/content.js" type="text/javascript"></script>
<link href="${ctxStatic}/common/css/login.css" type="text/css" rel="stylesheet" />
<script src="${ctxStatic}/common/js/common.js" type="text/javascript"></script>
<script type="text/javascript">var ctx = '${ctx}', ctxStatic='${ctxStatic}',ctxp='${ctxp}';</script>

<!-- 引入默认样式 -->
<link href="${ctxStatic}/common/css/style.css?v=3.2.0" type="text/css" rel="stylesheet" />

<!-- 引入OSS样式 -->
<script type="text/javascript">
    var userAgent = navigator.userAgent; //取得浏览器的userAgent字符串
    var isOpera = userAgent.indexOf("Opera") > -1; //判断是否Opera浏览器
    var isIE = userAgent.indexOf("compatible") > -1 && userAgent.indexOf("MSIE") > -1 && !isOpera;
    var isEdge = userAgent.indexOf("Edge") > -1;
    if(isIE || isEdge)
    {
        var reIE = new RegExp("MSIE (\\d+\\.\\d+);");
        reIE.test(userAgent);
        var fIEVersion = parseFloat(RegExp["$1"]);
        if(fIEVersion < 12 || isEdge){
            document.write('<script type="text/javascript" src="${ctxStatic}/oss/lib/crypto1/crypto/crypto.js"><\/script>');
            document.write('<script type="text/javascript" src="${ctxStatic}/oss/lib/crypto1/hmac/hmac.js"><\/script>');
            document.write('<script type="text/javascript" src="${ctxStatic}/oss/lib/crypto1/sha1/sha1.js"><\/script>');
            document.write('<script type="text/javascript" src="${ctxStatic}/oss/lib/base64.js"><\/script>');
            document.write('<script type="text/javascript" src="${ctxStatic}/oss/ie-ossupload.js"><\/script>');
        }
        else
        {
            // document.write('<script src="http://gosspublic.alicdn.com/aliyun-oss-sdk-4.4.4.min.js"><\/script>');
            document.write('<script src="${ctxStatic}/bos/node_modules/@baiducloud/sdk/dist/baidubce-sdk.bundle.min.js"><\/script>');
            <%--document.write('<script type="text/javascript" src="${ctxStatic}/oss/ossupload.js"><\/script>');--%>
            document.write('<script type="text/javascript" src="${ctxStatic}/bos/bosupload.js"><\/script>');
        }
    }
    else
    {
        // document.write('<script src="http://gosspublic.alicdn.com/aliyun-oss-sdk-4.4.4.min.js"><\/script>');
        document.write('<script src="${ctxStatic}/bos/node_modules/@baiducloud/sdk/dist/baidubce-sdk.bundle.min.js"><\/script>');
        <%--document.write('<script type="text/javascript" src="${ctxStatic}/oss/ossupload.js"><\/script>');--%>
        document.write('<script type="text/javascript" src="${ctxStatic}/bos/bosupload.js"><\/script>');
    }

    jQuery.validator.addMethod("isPhone", function(value, element) {
        if (this.optional(element)){
            return true;
        }
        var split = value.split(",");
        for(var i=0;i<split.length;i++){
            var length = split[i].length;
            var mobile = /^(((13[0-9]{1})|(15[0-9]{1})|(16[0-9]{1})|(18[0-9]{1})|(17[0-9]{1})|(19[0-9]{1}))+\d{8})$/;
            if(!(length == 11 && mobile.test(split[i]))){
                return false;
            }
        }
        return true;
    }, "请填写正确的手机号码");
    jQuery.validator.addMethod("isUrl", function(value, element) {
        if (this.optional(element)){
            return true;
        }
        var strRegex = "^((https|http|ftp|rtsp|mms)?://)"
            + "?(([0-9a-z_!~*'().&amp;=+$%-]+: )?[0-9a-z_!~*'().&amp;=+$%-]+@)?" //ftp的user@
            + "(([0-9]{1,3}\.){3}[0-9]{1,3}" // IP形式的URL- 199.194.52.184
            + "|" // 允许IP和DOMAIN（域名）
            + "([0-9a-z_!~*'()-]+\.)*" // 域名- www.
            + "([0-9a-z][0-9a-z-]{0,61})?[0-9a-z]\." // 二级域名
            + "[a-z]{2,6})" // first level domain- .com or .museum
            + "(:[0-9]{1,4})?" // 端口- :80
            + "((/?)|" // a slash isn't required if there is no file name
            + "(/[0-9a-z_!~*'().;?:@&amp;=+$,%#-]+)+/?)$";

        var re=new RegExp(strRegex);

        if (re.test(value)){
            return (true);
        }else{
            return (false);
        }
    }, "请填写正确的网址");

    jQuery.validator.addMethod("isTel", function(value, element) {
        var length = value.length;
        var phone = /(^(\d{3,4}-)?\d{6,8}$)|(^(\d{3,4}-)?\d{6,8}(-\d{1,5})?$)|(\d{11})/;
        return this.optional(element) || (phone.test(value));
    }, "请填写正确的固定电话");

    jQuery.validator.addMethod("idCard", function(value, element) {
        var pattern = /^\d{6}(19|20)\d{2}(0[1-9]|1[012])(0[1-9]|[12]\d|3[01])\d{3}(\d|X)$/i;
        if(value.length==15){
            pattern = /^\d{8}(0[1-9]|1[012])(0[1-9]|[12]\d|3[01])\d{3}/;
        }
        if(!pattern.test(value))return false;
        var year='';
        var months='';
        var days='';
        if(value.length==15){
            year = "19"+value.substring(6,8);
            months=value.substring(8,10);//截取身份证上的月
            days=value.substring(10,12);//截取身份证上的日
        }else {
            year=value.substring(6,10);//截取身份证上的年
            months=value.substring(10,12);//截取身份证上的月
            days=value.substring(12,14);//截取身份证上的日
        }
        var myDate = new Date();
        var month = myDate.getMonth() + 1;
        var day = myDate.getDate();
        age = myDate.getFullYear() - year - 1;
        if (months< month || months == month && days <= day) {
            age++;
        }
        return this.optional(element) || ((pattern.test(value))&&age>=0);
    }, "请填写正确的身份证号");

    document.onkeydown = function(event) {
        var target, code, tag;
        if (!event) {
            event = window.event; //针对ie浏览器
            target = event.srcElement;
            code = event.keyCode;
            if (code == 13) {
                $("#searchQuery").trigger("click");
                return false;
            }
        }
        else {
            target = event.target; //针对遵循w3c标准的浏览器，如Firefox
            code = event.keyCode;
            if (code == 13) {
                $("#searchQuery").trigger("click");
                return false;
            }
        }
    };
</script>




